curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "reimbursement",
"data": {
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"reimbursement_type": {
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "non_taxable_reimbursement",
"label": "Non-Taxable Reimbursement"
},
"links": {
"self": "/reimbursement_types/non_taxable_reimbursement"
}
},
"title": null,
"title_translations": null,
"title_translated": null,
"frequency": "per_payroll",
"date_basis": null,
"pay_period_cadence": null,
"amount": 35,
"effective_from": "2026-01-01",
"effective_to": null,
"business_preset": null,
"expense_accounting_code": null,
"liability_accounting_code": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/reimbursements/<id>"
}
}Retrieve a reimbursement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
business_preset, expense_accounting_code, liability_accounting_code, tag_assignment, work_assignment Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("reimbursement").
- Default
- With business_preset expanded
- With work_assignment expanded
- With expense_accounting_code expanded
- With liability_accounting_code expanded
- With tag_assignment expanded
Hide child attributes
Hide child attributes
The type of reimbursement, which determines how it is categorized and reported on Pay Stubs.
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("reimbursement_type").
Hide child attributes
Hide child attributes
The string identifier for this reimbursement type.
The human-readable display name for this reimbursement type.
Hide child attributes
Hide child attributes
The payroll calculation this entry describes.
eht, income_tax, insurable, pensionable, vacationable, wcb Human-readable name for the payroll calculation.
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
The jurisdiction this applies to (e.g. ca_federal, ca_on, ca_qc).
How this type affects the payroll calculation in this jurisdiction.
accrues_vacation_pay, reduces_base, tax_credit, withholding Plain-language explanation of how this type affects the calculation in this jurisdiction.
The program that applies in this jurisdiction, for calculations that use different programs by jurisdiction (e.g. CPP federally, QPP in Quebec; EI federally, QPIP in Quebec).
Hide child attributes
Hide child attributes
The form code (e.g. t4).
Human-readable form name.
The translation of the title property for the request locale. Computed using the values in title and title_translations and the value of the request's Accept-Language header.
The frequency at which this reimbursement is applied to Pay Stubs. When per_month, the amount is distributed evenly across all Payrolls in the calendar month.
once, per_month, per_payroll Which payroll date determines the calendar month for the allocation. Applies only to per_month recurrences.
by_pay_date, by_period_end_date, by_period_start_date Which pay periods within the month receive the allocation. An array of 1-based positions; -1 is the final period. Applies only to per_month recurrences.
The monetary amount applied each time this reimbursement is included on a Pay Stub.
The date from which this reimbursement is applied to Pay Stubs.
The date after which this reimbursement is no longer applied. null if the reimbursement applies indefinitely.
A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

